## GgitMessage GgitMessage |

## Functions

gchar * | ggit_message_prettify ()

## Object Hierarchy

## Description

## Functions

### ggit_message_prettify ()

    gchar *
    ggit_message_prettify (const gchar *message,
                           gboolean strip_comments,
                           gchar comment_char);

Prettify a commit message by removing excess whitespace and making sure the last line ends with a newline. If `strip_comments` is `TRUE`, then lines starting with a `comment_char` will be removed.

#### Parameters

message | the message. |
strip_comments | whether to strip comments. |
comment_char | comment character. |

#### Returns

the prettified message.

## Types and Values